%define fw_version 5.24

Summary:	KDE Frameworks 5 module with text completion helpers and widgets
Name:		kcompletion
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kconfig-devel >= %{version}
BuildRequires:	kwidgetsaddons-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 module with text completion helpers and widgets.

When typing filenames, email addresses and other text where the user often
wants to select from existing data (including what they previously typed)
rather than enter anything wholly original, users often find it helpful if
they only need to type the first few characters, and then have the application
offer them a set of choices or attempt to finish off what they were typing.
Email clients, shells and "open file" dialogs often provide this functionality.

This framework helps implement this in Qt-based applications. You can use one
of the completion-ready widgets provided by this framework, or integrate it
into your application's other widgets directly.

#----------------------------------------------------------------------------

%package i18n
Summary:	KCompletion translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KCompletion translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5completion_major 5
%define libkf5completion %mklibname kf5completion %{kf5completion_major}

%package -n %{libkf5completion}
Summary:	KDE Frameworks 5 text completion shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5completion}
KDE Frameworks 5 text completion shared library.

%files -n %{libkf5completion}
%{_kde5_libdir}/libKF5Completion.so.%{kf5completion_major}*

#----------------------------------------------------------------------------

%define devkf5completion %mklibname kf5completion -d

%package -n %{devkf5completion}
Summary:	Development files for KDE Frameworks 5 text completion module
Group:		Development/KDE and Qt
Requires:	%{libkf5completion} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5completion-devel = %{version}

%description -n %{devkf5completion}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5completion}
%{_kde5_includedir}/KF5/KCompletion
%{_kde5_includedir}/KF5/kcompletion_version.h
%{_kde5_libdir}/cmake/KF5Completion
%{_kde5_libdir}/libKF5Completion.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (eb27090) New version 5.24.0


